Kerbal Space Program - Bug #18331

VESSELNAMING data not being added to ships created before 1.4
04/03/2018 12:50 AM - jclovis3

Status: Closed Start date: 04/03/2018
Severity: Low % Done: 100%
Assignee: TriggerAu

Category: Parts

Target version: 1.4.2

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

In the 1.4 update, the ability to control vessel naming was assigned with priority levels to each control pod or probe core, and this
was great, however, any vessel created before this update has no such data and will not revert to their previous name after docking
and undocking from a vessel with this new feature. As a result, ship hames keep getting cloned.

| recommend adding code to add a VESSELNAMING tag in the ship data when the player manually renames a vessel from one of its
parts, as well as allow reconfiguration of the priority level during flight and not just during build time.

History

#1 - 04/03/2018 12:27 PM - TriggerAu

- Status changed from New to Ready to Test
- Assignee set to TriggerAu

- Target version set to 1.4.2

- % Done changed from 0 to 80

You are able to add vesselnaming in flight if you adjust one of the settings in the config file.
SHOW_VESSEL_NAMING_IN_FLIGHT = True

You can read up about the feature here: https:/forum.kerbalspaceprogram.com/index.php?/developerarticles.html/whats-in-a-vessel-name-r206

If you wanna add it to parts other than chair/command modules theres some extra editing, but its documented there - see how you go

#2 - 04/03/2018 02:42 PM - jclovis3

Made edit to ..\Kerbal Space Program\settings.cfg with the recommended change while the game was not running. Restarted and tried renaming an
old vessel from within the tracking station. The option to set naming priorities was not available there, which was to be expected because you're not
identifying a specific part to set this on.

Selected to fly the vessel and selected the most common module | use for renaming. There is both a rename option and a configure renaming option.
This may lead to confusion, but at least this workaround works. Recommend incorporating this change into future releases as | see no reason you
shouldn't be able to update this in flight.

Not changing status out of "Ready to Test" because | don't know if you need to test this on the next release first to clear this. Thank you for the quick
fix though just the same.

#3 - 04/27/2018 10:07 AM - jclovis3

| am unable to test this as | no longer have any older vessels that haven't already been fixed manually. Might just move this one to Mute now.

#4 - 06/26/2018 10:22 AM - TriggerAu
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#5 - 10/15/2018 06:25 PM - joshua.collins

- Status changed from Resolved to Closed
